.sidebar {
    display: flex;
    overflow: hidden;
    flex-direction: column;
    padding: 10px;
    border-right: 2px solid $info;
    background: darken($gray, 5%);
    gap: 1em;
    overflow-y: auto;
    text-align: center;
}

.sidebar-button {
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 0;
    border: none;
    background: none;

    .sidebar-icon {
        position: relative;
        display: flex;
        width: 40px;
        height: 40px;
        flex: 0 0 40px;
        align-items: center;
        justify-content: center;
        border-color: #f8f9fa;
        background-color: #f8f9fa;
        border-radius: 0.2rem;
        color: #212529;
    }
}

.sidebar-trigger.active {
    .sidebar-icon {
        border-color: $info;
        background: $info;
        color: $gray;
    }
}
